put
https://apisandbox.braspag.com.br/v2/sales//void
Cancel or refund a credit card transaction.
| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | put | https://apisandbox.braspag.com.br//v2/sales/{PaymentId}/void?amount=xxx |
| Production | put | https://api.braspag.com.br//v2/sales/{PaymentId}/void?amount=xxx |
New mandatory field for voiding transactions due to fraud riskAs of 04/17/2026, it will be mandatory to provide the
Reasonfield when the void reason is fraud risk identified by the merchant.Set
Reason="HighRisk"in the request body, as shown in the example below:{ "Reason": "HighRisk" }
Total void
To totally void a transaction, it is not necessary to send the Amount field.
Partial void
| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | put | https://apisandbox.braspag.com.br/v2/sales/{PaymentId}/void?amount={Amount} |
| Production | put | https://api.braspag.com.br/v2/sales/{PaymentId}/void?amount={Amount} |
To partially void a transaction, include in the Amount field the amount in cents that you wish to void.
It is not possible to partially void a transaction that was not captured.To partially void a transaction, the
Capturefield must be "true" when creating the payment with a credit card.
The API allows you to void transactions individually.
To void a group of transactions, use the e-commerce portal. Learn more at:
- How to void transactions in batch (until 11:59 PM on the day the transaction is created);
- How to refund transactions in batch (from the day after the transaction is created).